Subject: bug#55869: [PATCH] Add support for the Lepcha script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Sat, 11 Jun 2022 16:55:47 +0530

Here is the new patch.
I have also improved the Lepcha composition rules.

On Sat, Jun 11, 2022 at 4:20 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sat, 11 Jun 2022 16:04:43 +0530
> > Cc: [email-masked]
> >
> > I am sorry, I do not understand the question, I have not used a
> transliterated name for the Lepcha script.
> >
> > If you are asking whether to use ᰛᰩᰵ (Róng) or ᰛᰩᰵᰛᰧᰵᰶ (Róng-ríng), I
> think both are fine.
>
> Yes, that is my question.  I understand that both are probably fine,
> but I'm asking whether we should use what appears on two widely-used
> sites.  IOW, why prefer the version that doesn't appear there, if both
> versions are equally correct?
>
> > The omniglot website also describes other name for this script:
> >
> >  The Lepcha script is known as ᰀᰂ (kakha - the first two letters),
> ᰇᰨᰕᰧᰵᰶ (chomíng - "written
> >  letters") or ᰕᰧᰵᰶᰙᰳ (míngzât - "treasure of letters").
>
> Yes, but Wikipedia doesn't, so I think Róng-ríng wins here.
>
From 19b7ac78ab1bfe51d7a1c74fe9a282e282eac726 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E0=A4=B8=E0=A4=AE=E0=A5=80=E0=A4=B0=20=E0=A4=B8=E0=A4=BF?=
 =?UTF-8?q?=E0=A4=82=E0=A4=B9=20Sameer=20Singh?= <[email-masked]>
Date: Sat, 11 Jun 2022 16:48:44 +0530
Subject: [PATCH] Improve Lepcha composition rules and rename its native name

* lisp/language/indian.el ("Lepcha"): Rename lepcha script
native name and improve composition rules.

* etc/HELLO: Rename Lepcha script native name.
---
 etc/HELLO               | 2 +-
 lisp/language/indian.el | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/etc/HELLO b/etc/HELLO
index e53bf74f4d..baa8af0f07 100644
--- a/etc/HELLO
+++ b/etc/HELLO
@@ -76,7 +76,7 @@ Kharoṣṭhī (𐨑𐨪𐨆𐨛𐨁)	𐨣𐨨𐨲𐨪𐨆 𐨐𐨪𐨅𐨨𐨁
 Khmer (ភាសាខ្មែរ)	ជំរាបសួរ
 Lakota (Lakȟotiyapi)	Taŋyáŋ yahí!
 Lao (ພາສາລາວ)	ສະບາຍດີ / ຂໍໃຫ້ໂຊກດີ
-Lepcha (ᰛᰩᰵ)	ᰂᰦᰕᰥᰬ
+Lepcha (ᰛᰩᰵᰛᰧᰵᰶ)	ᰂᰦᰕᰥᰬ
 Limbu (ᤕᤰᤌᤢᤱ ᤐᤠᤴ)	ᤛᤣᤘᤠᤖᤥ
 Makasar (𑻪𑻢𑻪𑻢)	𑻦𑻤𑻵𑻱
 Malayalam (മലയാളം)	നമസ്കാരം
diff --git a/lisp/language/indian.el b/lisp/language/indian.el
index a6f50962d8..6e0fb10b4f 100644
--- a/lisp/language/indian.el
+++ b/lisp/language/indian.el
@@ -249,7 +249,7 @@ 'devanagari
             (coding-system utf-8)
             (coding-priority utf-8)
             (input-method . "lepcha")
-            (sample-text . "Lepcha (ᰛᰩᰵ)	ᰂᰦᰕᰥᰬ")
+            (sample-text . "Lepcha (ᰛᰩᰵᰛᰧᰵᰶ)	ᰂᰦᰕᰥᰬ")
             (documentation . "\
 Lepcha language and its script are supported in this
 language environment."))
@@ -756,7 +756,8 @@ malayalam-composable-pattern
                         (list (vector
                                ;; Consonant based syllables
                                (concat consonant other-signs "?" vowel "?"
-                                       consonant-sign "?" subjoined-letter "?")
+                                       consonant-sign "?" subjoined-letter "?"
+                                       other-signs "?")
                                1 'font-shape-gstring))))
 
 (provide 'indian)
-- 
2.36.1